
QGIS Application - Bug report #13866

Copy Paste attribute table from postgres causes crash

2015-11-23 08:50 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Sandro Santilli

Category: Attribute table

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21889

Description

Hi, 

copying / pasting from attribute table to the same attribute table, data from postgres, causes systematic crash in 2.12.

Table is non geometric.

History

#1 - 2015-12-08 07:36 AM - Regis Haubourg

Worse than this, it is not possible at all to copy lines from attribute table, from menu. It is greyed out there, when copy paste buttons from attribute table are

enabled

#2 - 2016-01-19 03:39 AM - Sandro Santilli

- Assignee set to Sandro Santilli

- Status changed from Open to In Progress

#3 - 2016-01-19 03:42 AM - Sandro Santilli

- Status changed from In Progress to Feedback

I cannot reproduce with current master (670ded3)

Maybe it was a threading issue fixed recently. Could you please re-try ?

#4 - 2016-01-19 06:32 AM - Regis Haubourg

- Status changed from Feedback to Closed

Confirmed! Thanks Sandro, it seems solved. 

Cheers

Régis
